org.springframework.oxm

## Class MarshallingFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.oxm.XmlMappingException
          - - org.springframework.oxm.MarshallingException
            - - org.springframework.oxm.MarshallingFailureException

- All Implemented Interfaces:
    Serializable

      public class MarshallingFailureException
      extends MarshallingException

  Exception thrown on marshalling failure.
  Since:
    3.0
  Author:
    Arjen Poutsma
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarshallingFailureException(String msg)` Construct a `MarshallingFailureException` with the specified detail message.
    `MarshallingFailureException(String msg, Throwable cause)` Construct a `MarshallingFailureException` with the specified detail message and nested exception.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MarshallingFailureException

          public MarshallingFailureException(String msg)

      Construct a `MarshallingFailureException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### MarshallingFailureException

          public MarshallingFailureException(String msg,
                                     Throwable cause)

      Construct a `MarshallingFailureException` with the specified detail message and nested exception.
      Parameters:
        `msg` - the detail message
        `cause` - the nested exception